Bug 246348 - Review Request: parrot - Parrot Virtual Machine
Review Request: parrot - Parrot Virtual Machine
Status: CLOSED DUPLICATE of bug 486302
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: 245044 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 15:30 EDT by Steven Pritchard
Modified: 2009-03-22 14:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-22 07:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log from mock (198.48 KB, text/plain)
2007-07-01 16:58 EDT, Jochen Schmitt
no flags Details

  None (edit)
Description Steven Pritchard 2007-06-30 15:30:35 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/parrot/
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/parrot-0.4.13-1.src.rpm
Description:
Parrot is a virtual machine designed to efficiently compile and
execute bytecode for interpreted languages. Parrot will be the target
for the final Perl 6 compiler, and is already usable as a backend for
Pugs, as well as variety of other languages.

Please note - This package is not quite ready for review, but I'm working on it.
Comment 1 Steven Pritchard 2007-06-30 15:32:11 EDT
*** Bug 245044 has been marked as a duplicate of this bug. ***
Comment 2 Jochen Schmitt 2007-07-01 16:58:28 EDT
Created attachment 158315 [details]
build log from mock

I have tried to build your package on mock (devel, x86_64).

Unfortunately, the build failed. The build log is attached to this comment.
Comment 3 Steven Pritchard 2007-07-01 17:11:14 EDT
I didn't expect it to build (on x86_64, although it should work on i386).  
That's why I said it's "not quite ready for review".  :-)

I think only two tests are failing, so that should be easy enough to fix.  
There are also a bunch of rpmlint warnings, IIRC.

I'm going to try to fix all this in the next couple of weeks.
Comment 4 Steven Pritchard 2007-07-18 21:36:15 EDT
I've updated to 0.4.14.

http://ftp.kspei.com/pub/steve/rpms/parrot-0.4.14-1.src.rpm

The build still fails on x86_64.
Comment 5 Peter Lemenkov 2008-05-17 13:41:09 EDT
Ping, Steven.
Ver. 0.6.2 is out.
Comment 6 Peter Lemenkov 2008-05-17 13:42:00 EDT
Oh, I mean 0.6.1
Comment 7 Steven Pritchard 2008-05-17 14:42:01 EDT
FYI, I'm doing a presentation on Perl on Fedora at YAPC::NA next month, so I'm
*really* hoping to have this review wrapped up ASAP.

Expect an update soon.
Comment 8 Peter Lemenkov 2008-05-17 14:57:28 EDT
Ok, I'm waiting for your update.
Comment 9 Steven Pritchard 2008-06-21 12:57:32 EDT
It didn't happen before YAPC, unfortunately, but here's an update to 0.6.3:

http://ftp.kspei.com/pub/steve/rpms/parrot/parrot.spec
http://ftp.kspei.com/pub/steve/rpms/parrot-0.6.3-1.src.rpm

Trying to install the parrot-lua package gives this error:

error: Failed dependencies:
        perl(Parrot::Test) is needed by parrot-lua-0.6.3-1.fc9.x86_64

Parrot::Test is included with parrot, but doesn't seem to get install with any
of the sub-packages, so I need to check on that.

The good news is that we now have a working "perl6" in the rakudo package:

$ perl6 -v
This is Rakudo Perl 6, revision 0 built on parrot 0.6.3
for x86_64-linux-thread-multi.

Copyright 2006-2008, The Perl Foundation.

$ perl6 -e 'say "Hello"'
Hello
$ perl6 -e '"Hello".say'
Segmentation fault      <- needs a bug report filed  :-)
$ perl6 -e '"Hello".say;'
Hello

I'm a little torn on what version numbers to use for the various sub-packages. 
A lot of the languages have a 0.1.0 version number on them somewhere, but that
doesn't seem to change often (if at all), which would make versioning for
upgrades awkward.  If the situation ever changes, I guess we can always add an
Epoch to those packages.

So I have *not* tried to build this in mock, and I know rpmlint complains about
a lot of things.  Reporting failures isn't helpful (yet), but patches are.
Comment 10 Peter Lemenkov 2008-08-23 16:14:20 EDT
I decided to review it. BTW Parrot 0.7.0 released - will you update it?
Comment 11 Peter Lemenkov 2008-12-10 14:52:54 EST
Finally, I found some time to review this package. However, it doesn't build on my F-10:

[petro@Sulaco SPECS]$ rpmbuild -ba parrot.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.mBAPeU
+ umask 022
+ cd /home/petro/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/petro/rpmbuild/BUILD
+ rm -rf parrot-0.6.3
+ /usr/bin/gzip -dc /home/petro/rpmbuild/SOURCES/parrot-0.6.3.tar.gz
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd parrot-0.6.3
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (parrot-0.6.3-install.patch):'
Patch #0 (parrot-0.6.3-install.patch):
+ /bin/cat /home/petro/rpmbuild/SOURCES/parrot-0.6.3-install.patch
+ /usr/bin/patch -s -p0 --fuzz=0
+ /usr/bin/perl -pi -e 's,"lib/,"lib/, if (/CONST_STRING\(interp,/)' src/library.c
+ /usr/bin/perl -pi -e 's,'\''/usr/lib'\'','\''/usr/lib'\'',;s,runtime/lib/,runtime/lib/,' tools/dev/install_files.pl tools/dev/mk_manifests.pl
Can't open tools/dev/mk_manifests.pl: No such file or directory, <> line 258.
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.rD5tip
+ umask 022
+ cd /home/petro/rpmbuild/BUILD
+ cd parrot-0.6.3
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/bin/perl Configure.pl --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc --infodir=/usr/share/info --mandir=/usr/share/man --cc=gcc -std=gnu99 --cxx=g++ --parrot_is_shared --lex=/usr/bin/flex --yacc=/usr/bin/yacc '--libs=-lcurses -lm'
Configure.pl - Parrot Configure 2.0

General Options:

   --help               Show this text
   --version            Show version information
   --verbose            Output extra information
   --verbose=2          Output every setting change
   --verbose-step=N     Set verbose for step N only

[skipped large number of lines]

error: Bad exit status from /var/tmp/rpm-tmp.rD5tip (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.rD5tip (%build)
[petro@Sulaco SPECS]$ 

BTW ver. 0.8.1 is out - are you planning to update your srpm?
Comment 12 Steven Pritchard 2008-12-10 15:26:06 EST
(In reply to comment #11)
> Finally, I found some time to review this package. However, it doesn't build on
> my F-10:

Odd.  I wonder what changed since F9.

> BTW ver. 0.8.1 is out - are you planning to update your srpm?

Yeah, I'm trying to catch up on a lot of Fedora work I've neglected for the last few months...
Comment 13 Gerd Pokorra 2009-02-20 10:09:44 EST
I wanted to initial packaging Parrot under Fedora. Peter Lemenkov wrote me
that there was already an initial attempt to package this title. So we have
to coordinate our efforts. I have a working spec-file for the current release
of Parrot. Would it be okay we take that?
I make parrot-rpms from the version 0.6.1 to the current version (0.9.1).
The rpms are stored under the URL ftp://ftp.uni-siegen.de/pub/parrot.rpms/fedora
and on the Parrot-Download-Web-Site is a link to that URL.
The URL of my request is: https://bugzilla.redhat.com/show_bug.cgi?id=486302

Gerd Pokorra (gp@zimt.uni-siegen.de)
Comment 14 Christoph Wickert 2009-03-06 05:13:10 EST
Steven, if you are busy I suggest take Gerd's package from bug # 486302.
You can still co-maintain it later.

Please reply in this bug within the next two weeks or I will close this bug in favor of Gerd's review.
Comment 15 Christoph Wickert 2009-03-22 07:02:03 EDT
Closing due to lack of response.

Steven, you are welcome to co-maintain the package together with Gerd once you have more time again.

*** This bug has been marked as a duplicate of bug 486302 ***

Note You need to log in before you can comment on or make changes to this bug.